# Interface ClusterMessage

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `SessionMessage`

All Known Implementing Classes:
  `ClusterMessageBase`, `FileMessage`, `SessionMessageImpl`, `UndeployMessage`

public interface ClusterMessage extends Serializable

## Method Summary

Modifier and Type
Method
Description
`Member`
`getAddress()`
`long`
`getTimestamp()`
`String`
`getUniqueId()`
`void`
`setAddress(Member member)`
Set the member associated with the message.
`void`
`setTimestamp(long timestamp)`
Set the timestamp for this message.

## Method Details

### getAddress

Member getAddress()

Returns:
  the member associated with the message

### setAddress

void setAddress(Member member)
Set the member associated with the message.

Parameters:
  `member` - the member

### getUniqueId

String getUniqueId()

Returns:
  the unique id of the message

### getTimestamp

long getTimestamp()

Returns:
  the message timestamp

### setTimestamp

void setTimestamp(long timestamp)
Set the timestamp for this message.

Parameters:
  `timestamp` - the timestamp